Bug 138774 - installer fails on partition numbered not in order that are physicali located on disk
installer fails on partition numbered not in order that are physicali located...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-10 21:32 EST by rkula
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 17:00:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rkula 2004-11-10 21:32:21 EST
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, 
like Gecko) 
 
Description of problem: 
Installer (both text and graphical) fails with this:  
File "/usr/bin/anaconda" , line 1165, in ? 
   intf.run (id, dispatch, configFileData) 
File "/usr/src/build/475969 - i386/install// 
     usr/lib/anaconda/text.py", line 507, 
      in run 
    dispatch.gotoNext() 
File 
 
when installing on hda8 created and formated as ext3 on free space 
gained by resizing hda5 on extended partition hda3 located physically 
before hda6 (swap) and hda7 (ext3 other linux) 
 
Command (m for help): p 
 
Disk /dev/hda: 30.0 GB, 30005821440 bytes 
255 heads, 63 sectors/track, 3648 cylinders 
Units = cylinders of 16065 * 512 = 8225280 bytes 
 
   Device Boot      Start         End      Blocks   Id  System 
/dev/hda1               1         230     1847443+  1b  Hidden W95 
FAT32 
/dev/hda2   *         231        2283    16490722+   c  W95 FAT32 
(LBA) 
/dev/hda3            2284        3648    10964362+   f  W95 Ext'd 
(LBA) 
/dev/hda5            2284        2703     3373618+   c  W95 FAT32 
(LBA) 
/dev/hda6            3061        3093      265041   82  Linux swap 
/dev/hda7            3094        3648     4458006   83  Linux 
/dev/hda8            2704        3060     2867571   83  Linux 
 
Partition table entries are not in disk order 
 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. 
2. 
3. 
     
 
Additional info:
Comment 1 Jeremy Katz 2004-11-11 13:47:55 EST
Can you provide the complete traceback you received?  The order of
partitions isn't depended on by anything in the installer.
Comment 2 Jeremy Katz 2005-02-01 17:00:24 EST
Closing due to inactivity.  Please reopen if you have further information to add
to this report.

Note You need to log in before you can comment on or make changes to this bug.